Vulnerability CVE-2022-40797


Published: 2022-11-09

Description:
Roxy Fileman 1.4.6 allows Remote Code Execution via a .phar upload, because the default FORBIDDEN_UPLOADS value in conf.json only blocks .php, .php4, and .php5 files. (Visiting any .phar file invokes the PHP interpreter in some realistic web-server configurations.)

See advisories in our WLB2 database:
Topic
Author
Date
High
Roxy Fileman 1.4.6 Remote Shell Upload
Hadi Mene
21.11.2022

Type:

CWE-264

(Permissions, Privileges, and Access Controls)

 References:
https://salsa.debian.org/php-team/php/-/blob/dc253886b5b2e9bc8d9e36db787abb083a667fd8/debian/php-cgi.conf#L5-6
https://web.archive.org/web/20210126213412/https://roxyfileman.com/download.php?f=1.4.6-php
https://gist.github.com/Hadi999/1f66fe7c5a217ca261ebfec36c630d18

Copyright 2022, cxsecurity.com

 

Back to Top